inn (1:1.7.2q-52build2) stonking; urgency=medium

  * No-change rebuild against perl 5.42.3

 -- Ural Tunaboyu <ural@ubuntu.com>  Thu, 20 Aug 2026 09:18:21 -0700

inn (1:1.7.2q-52build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jan 2026 19:45:12 +0000

inn (1:1.7.2q-52) unstable; urgency=medium

  * Update patch extra_config: use -std=gnu17 because there are too many
    K&R prototypes to make fixing the source practical. (Closes: #1096839)

 -- Marco d'Itri <md@linux.it>  Wed, 26 Feb 2025 02:15:45 +0100

inn (1:1.7.2q-51) unstable; urgency=medium

  * New patch limit_getfdcount: limit the maximum number of usable file
    descriptors to prevent innd from exploding because of the static
    allocation of its data structures.
    If more than 1024 are actually needed then the local administrator
    can just set a reasonable limit for the process.
  * Depend on cron | cron-daemon.

 -- Marco d'Itri <md@linux.it>  Fri, 31 May 2024 03:35:26 +0200

inn (1:1.7.2q-50) unstable; urgency=medium

  * Updated patch parsedate_gcc4 with a missing prototype.
    (Closes: #1065795)

 -- Marco d'Itri <md@linux.it>  Sun, 10 Mar 2024 00:19:22 +0100

inn (1:1.7.2q-49) unstable; urgency=medium

  * Installed /etc/rsyslog.d/news.conf to provide the /var/log/news/news.*
    files, because rsyslog stopped providing these rules in 2016.
  * Updated inncheck accordingly to the actual permissions.
  * Restored hardening support, which was broken in version -47.

 -- Marco d'Itri <md@linux.it>  Fri, 05 Jan 2024 00:49:49 +0100

inn (1:1.7.2q-48) unstable; urgency=medium

  [ Niko Tyni ]
  * New patch fix_perl538: include the Perl headers before the INN ones
    because the definitions of the STRLEN macro conflict. (Closes: #1042017)

  [ Marco d'Itri ]
  * Added some systemd sandboxing.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Sep 2023 00:34:52 +0200

inn (1:1.7.2q-47) unstable; urgency=medium

  * New patch check_setuid: make failures of setuid(2) and getuid(2)
    always be fatal.
  * Package converted to source format 3.0 (quilt) and to the dh sequencer.

 -- Marco d'Itri <md@linux.it>  Sun, 04 Dec 2022 23:38:39 +0100

inn (1:1.7.2q-46) unstable; urgency=medium

  * Suggest gnupg1 instead of gnupg.
  * Install pgpverify.8 reproducibly.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2019 20:18:43 +0100

inn (1:1.7.2q-45) unstable; urgency=medium

  * Fixed a lot of compiler warnings, which should solve the NNTP
    streaming feed corruption experienced on 64 bit platforms since
    1.7.2q-41+b1. (Closes: #784115)
  * Switched to libsystemd-dev. (Closes: #779745)
  * Rebuilt with current Perl. (Closes: #836788)
  * Enabled --diff-ignore for recent versions of dpkg-source.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Dec 2016 04:24:28 +0100

inn (1:1.7.2q-44.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from gregor herrmann fixing FTBFS with newer pod2man
    (Closes: #787450)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 20 Aug 2015 15:56:52 +0200

inn (1:1.7.2q-44) unstable; urgency=medium

  * inn.service: remove NoNewPrivileges=yes because it prevents innd
    from sending emails since postdrop is sgid.
  * inn.service: require network-online.target because innd will try to
    resolve the hostnames in hosts.nntp only once at startup.
  * prerm: stop the socket on removal.

 -- Marco d'Itri <md@linux.it>  Wed, 23 Jul 2014 23:44:38 +0200

inn (1:1.7.2q-43) unstable; urgency=medium

  * Build-Depend on pkg-config.
  * Do not log with LOG_CRIT normal shutdowns. (Closes: #10240)
  * Mention pan instead of trn in the description. (Closes: #691248)
  * Prevent fclose(NULL) on dbminit() failure. (Closes: #715994)

 -- Marco d'Itri <md@linux.it>  Sun, 11 May 2014 02:46:08 +0200

inn (1:1.7.2q-42) unstable; urgency=medium

  * Added systemd unit files and implemented socket activation.
  * Switched from /var/run/ to /run/.
  * Stopped using $[ in innreport.
  * Updated control.ctl and moderators.

 -- Marco d'Itri <md@linux.it>  Sat, 10 May 2014 22:25:01 +0200

inn (1:1.7.2q-41) unstable; urgency=low

  * Replaced innmail, which uses obsolete Perl features, with mailx.
  * config.data.debian: added support for dpkg-buildflags.
  * New patch fix_perl514: stops using perl4's getopts.pl. (Closes: #670751)
  * New patch siteinfo_format: fixes a format error.
  * Added a xunbatch program.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Jun 2012 01:51:17 +0200

inn (1:1.7.2q-40) unstable; urgency=low

  * Stop using "sort +1n" in makehistory, because it is not supported
    anymore by the squeeze version of coreutils. (Closes: #612265)
  * Disable CHECK_INCLUDED_TEXT, we have perl filters to do this.
    (Closes: #573993)

 -- Marco d'Itri <md@linux.it>  Sat, 16 Apr 2011 02:41:34 +0200

inn (1:1.7.2q-39) unstable; urgency=low

  * Updated patch fix_perl510: backported from 2.x the changesets 7937, 7939
    and 8421. Thanks to Julien ÉLIE. (Closes: #541130)
  * Link again with libpthread the binaries embedding perl because
    binutils-gold correctly requires it. (Closes: #554920)
  * Made the old shell control message handlers use bash. (Closes: #530104)
  * Updated control.ctl.

 -- Marco d'Itri <md@linux.it>  Sat, 26 Dec 2009 02:48:13 +0100

inn (1:1.7.2q-38) unstable; urgency=medium

  * Backported fixes from 2.4:
    + New patch fix_ad_flag: honour the Ad newsfeeds flag.
    + Updated patch fix_perl510: use newSVpvn_share to create the article
      body SV much more efficiently.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Sep 2008 02:07:47 +0200

inn (1:1.7.2q-37) unstable; urgency=medium

  * Clean up /var/lib/news/ in the purge target instead of the remove target.
    (Closes: #493824)

 -- Marco d'Itri <md@linux.it>  Thu, 28 Aug 2008 04:08:44 +0200

inn (1:1.7.2q-36) unstable; urgency=low

  * Fixed the malformed poison+remember_trash patch which confused the
    new dpkg. (Closes: #485368)
  * Updated patch 1_perl_filter_patch: added more headers.
  * Updated patch fix_perl510 with fixes/cleanups from 2.4.5 (and the
    INN::syslog callback).

 -- Marco d'Itri <md@linux.it>  Tue, 01 Jul 2008 02:29:46 +0200

inn (1:1.7.2q-35) unstable; urgency=high

  * Fixed a FTBFS Heisenbug. (Closes: #481867)

 -- Marco d'Itri <md@linux.it>  Tue, 20 May 2008 02:51:38 +0200

inn (1:1.7.2q-34) unstable; urgency=high

  * Packaging converted to quilt.
  * New patch fix_perl510: fixes segfaults with perl 5.10, hopefully
    without introducing new bugs. If you know about XS, please help!

 -- Marco d'Itri <md@linux.it>  Tue, 06 May 2008 12:56:04 +0200

inn (1:1.7.2debian-33) unstable; urgency=medium

  * Updated control.ctl.
  * Fixed the init script to create /var/run/innd/ instead of /var/run/news/.
  * New patch newsgroups_whitespace: ignore whitespace in Newsgroups headers
    instead of rejecting the article.
  * Sanitize the perl ccopts and ldopts to prevent linking nnrpd with -lm.
  * Updated patch man_sections: fix some ten years old syntax errors in
    the man pages.
  * Do not use --stop and --exec in the init script because the on-disk
    binary changes after upgrades.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Apr 2008 03:43:16 +0200

inn (1:1.7.2debian-32) unstable; urgency=low

  * New patch gnukfreebsd_port: fixes FTBFS on GNU/kFreeBSD. (Closes: #414980)

 -- Marco d'Itri <md@linux.it>  Tue, 07 Aug 2007 18:59:52 +0200

inn (1:1.7.2debian-31) unstable; urgency=medium

  * Create /var/run/news in the init script if it does not exist.
  * New patch posix_arguments: makes innstat use tail -n.
  * Updated control.ctl.

 -- Marco d'Itri <md@linux.it>  Fri, 18 Aug 2006 18:46:30 +0200

inn (1:1.7.2debian-30) unstable; urgency=medium

  * Fixed a gcc 4 FTBFS bug. (Closes: #297185)
  * Do not fail in postrm if /var/log/news/ does not exist. (Closes: #313354)
  * Do not reference rc.news in innwatch(8). (Closes: #286062)
  * Updated the control.ctl and moderators files.

 -- Marco d'Itri <md@linux.it>  Sun, 31 Jul 2005 12:54:04 +0200

inn (1:1.7.2debian-29) unstable; urgency=medium

  * Conflict with inn2-dev. (Closes: #274787)
  * New patch rc_initialise_everything: fixes some uninitialised variables
    in rc.c. Patch courtesy of Devin Carraway. (Closes: #277459)
  * Fixed a command option in inn-README.gz. (Closes: #267125)
  * Fixed the keyring path in pgpverify.
  * New patch man_sections: fixes the section of some man pages.

 -- Marco d'Itri <md@linux.it>  Tue, 26 Oct 2004 21:14:51 +0200

inn (1:1.7.2debian-28) unstable; urgency=medium

  * Depend on exim4 instead of exim. (Closes: #228585)
  * Make postrm not fail if /var/spool/news does not exist. (Closes: #244404)
  * New patch use_system_prototypes: fixes FTBFS with gcc-3.4.
    (Closes: #258959)
  * Updated patch rnews_reject_reason to fix mixed use of buffered and
    non-buffered I/O.

 -- Marco d'Itri <md@linux.it>  Mon, 12 Jul 2004 18:33:06 +0200

inn (1:1.7.2debian-27) unstable; urgency=high

  * Compiled with new perl.

 -- Marco d'Itri <md@linux.it>  Wed, 29 Oct 2003 11:03:57 +0100

inn (1:1.7.2debian-26) unstable; urgency=medium

  * Fix postinst failure on new installs. (Closes: #215586)
  * Stop providing inewsinn, other packages should depend on
    "inn2-inews | inews" instead.

 -- Marco d'Itri <md@linux.it>  Tue, 14 Oct 2003 20:29:16 +0200

inn (1:1.7.2debian-25) unstable; urgency=medium

  * Merge the inewsinn package in the inn package and kill the inn-dev
    package. (Closes: #210772)

 -- Marco d'Itri <md@linux.it>  Sat, 27 Sep 2003 00:32:34 +0200

inn (1:1.7.2debian-24) unstable; urgency=medium

  * Fixed a bug introduced in 1:1.7.2debian-22 which caused the creation
    of broken X-Trace headers.
  * Fixed a bug in the recommend_ID patch which caused articles without
    a Message-ID to be refused by innd.
  * New patch: overlapping_strcpy.
  * Stop creating /etc/news/organization if it does not exist, as it's
    not even used by this inews. (Closes: #210470)

 -- Marco d'Itri <md@linux.it>  Fri, 12 Sep 2003 13:48:50 +0200

inn (1:1.7.2debian-23) unstable; urgency=medium

  * Fixed the bug introduced in 1:1.7.2-14 by the path_audit patch which
    caused random segfaults when hosts.nntp was reloaded.
  * Fixed the innreport path in scanlogs.
  * Added support for a inewsport config file option. (Closes: #54975)
  * Remove /etc/news/crontab and add /etc/cron.d/inn.
  * Updated the default control.ctl from ftp.isc.org.

 -- Marco d'Itri <md@linux.it>  Wed, 20 Aug 2003 04:46:14 +0200

inn (1:1.7.2debian-22) unstable; urgency=medium

  * Package converted to DBS.
  * Depends on perlapi-5.8.0. (Closes: #187716)
  * inn does not need libgdbm-dev. (Closes: #199591)
  * Sub-processes are now niced to 10.
  * Moved send-* symlinks from /usr/lib/news/ to /usr/lib/news/bin/.
  * Applied the poison patch (from rra's poison+remember_trash patch).
  * Updated send-uucp.pl from INN 2.4.
  * Updated innreport from INN 2.4.
  * Updated default control.ctl.
  * Added timer support to the perl filter.

 -- Marco d'Itri <md@linux.it>  Sun,  6 Jul 2003 14:36:14 +0200

inn (1:1.7.2-21) unstable; urgency=medium

  * Switch back to custom memrchr() to unbreak XOVER (Closes: #169777).
  * Backported controlchan support from INN 2 (Closes: #14677, #149042).
  * Backported the INN 2 code to allow modifying headers in the nnrpd
    perl filter. Now the body is available in $body.
  * Applied two small patches by Olaf Titz to tell clients the recommended
    Message-ID and have a more precise timers on usually idle systems.
  * Added NNTP-Posting-Date to the list of headers which cannot be set
    with POST.
  * Make innreport generate valid HTML (see #166372).
  * Added support for $INND_BIND_ADDRESS.
  * Updated control.ctl.
  * Renamed the nntpport inn.conf entry to port.
  * Added support for the INN 2 bindaddress entry.

 -- Marco d'Itri <md@linux.it>  Wed, 20 Nov 2002 21:47:35 +0100

inn (1:1.7.2-20) unstable; urgency=medium

  * Added a fix for the latest perl (Closes: #158462, #163333).
  * Added a #include in lib/perl.c for the the xmalloc() prototype
    (Closes: #126101).
  * Clear all stamps in debian/rules (Closes: #126102).
  * Brand new init script which uses ctlinnd.

 -- Marco d'Itri <md@linux.it>  Thu, 26 Sep 2002 21:13:59 +0200

inn (1:1.7.2-19) unstable; urgency=medium

  * Fixed outdated perl dependancy (Closes: #113209).
  * Does not Suggests anymore innfeed and news-reader.
  * Installs gpgverify instead of pgpverify, Suggests gpg instead of pgp.

 -- Marco d'Itri <md@linux.it>  Sun, 23 Sep 2001 14:02:35 +0200

inn (1:1.7.2-18) unstable; urgency=low

  * Fixed build dep. (Closes: #92112).
  * Removed suidregister support (Closes: #84383).

 -- Marco d'Itri <md@linux.it>  Fri,  6 Apr 2001 20:10:45 +0200

inn (1:1.7.2-17) unstable; urgency=low

  * Compiled against perl 5.6 (Closes: #80699).
  * Removed misleading message from postinst (Closes: #63449).
  * Start innd only if the user asked for it (Closes: #70738).
  * Disabled quoting check (Closes: #58184, #58236).
  * pgpverify now correctly sources /etc/news/innshellvars.pl and should
    work out of the box.
  * Downgraded to priority extra: most people don't need a news server
    on their system!

 -- Marco d'Itri <md@linux.it>  Fri, 19 Jan 2001 21:24:26 +0100

inn (1:1.7.2-16) frozen unstable; urgency=medium

  * Fixed RC bug in postinst (Closes: #57427, #57534).

 -- Marco d'Itri <md@linux.it>  Wed,  9 Feb 2000 18:53:19 +0100

inn (1:1.7.2-15) frozen unstable; urgency=medium

  * README.Debian was not installed.
  * A bogus /var/spool/news/\ directory was created.
  * Commented description of ident protocol use in hosts.nntp(5).
  * Added /t to localhost entry in hosts.nntp.

 -- Marco d'Itri <md@linux.it>  Sun,  6 Feb 2000 20:53:36 +0100

inn (1:1.7.2-14) frozen unstable; urgency=medium

  * Comments *.foo.com in nnrp.access (Closes: #56369).
  * pgpverify automatically uses GnuPG if pgpgpg is found.
  * actived stdin/out/err are not opened to the console anymore.
  * RNEWS_LOG_DUPS set to SYSLOG.
  * LOCAL_MAX_ARTSIZE set to 2 MB.
  * fixed "cant read after 0" bug in rnews.
  * articles filed in in.coming/bad/ by rnews gets a X-rnews-Reject-Reason
    header.
  * Applied Path audit trail patch from Ian Jackson (Closes: 54201).

 -- Marco d'Itri <md@linux.it>  Sat, 29 Jan 2000 17:49:01 +0100

inn (1:1.7.2-13) frozen unstable; urgency=medium

  * Converted to debhelper.
  * Now everything installed in /etc is a conffile.
  * Fixed the bug in the Distribution parsing code.
  * Fixed Y2K bug.
  * Patches from insync release: DBZ 3.2, bigger hash table in expire,
    fastrm symlink bug, perl filter updates, timers, precommit cache,
    Path feed, mmapped overview, actived.
  * Patches from cleanfeed: mode.patch, messageid.patch, filter.patch.
  * Applied X-Trace patch.
  * Removed generation of the X-Server-Date header.
  * From the BOFH patch: in filter_post() the authenticated user is
    available as $user, the article body as $hdr{'__BODY__'}. If the
    string returned by filter_post() starts with DROP, the article
    is silently dropped.
  * Updated pgpverify, control.ctl and moderators. Now pgpgpg can be
    used instead of pgp.
  * Innreport is used instead of innlog.
  * Closes: #54609, #24504, #37737, #43896, #44918, #49673, #51944, #54526.
  * Closes: #55062, #11614, #26659, #43895, #31145, #52762, #55467, #37888.
  * Closes: #54411, #54759, #25181, #21586, #32416, #48739.
  * Now inn is maintained by Marco d'Itri. The following changes have
    been made by Bdale:
  * reinstate 1.7.2 as package 'inn' and friends, the 2.2.2 bits are being
    renamed to inn2, et al, as part of Debian INN peace project.
  * reopen *lots* of bugs against the inn package that were closed by the
    upgrade to 2.2.2, so that they can be dealt with again for 1.7.2 as
    needed.
  * update control file texts to point new installations to inn2
  * add a check for inn version 2.2.2 to the preinst, and suggest aborting
    to select inn2 instead of inn if the user has already upgraded to 2.2.2.

 -- Marco d'Itri <md@linux.it>  Sat, 22 Jan 2000 20:56:19 +0100

inn (1.7.2-12) unstable; urgency=low

  * update to reflect current policy
  * inndstart *is* provided setuid root, closes: #51944
  * fix path in nntpsend.ctl.5, closes: #49673
  * if we're upgrading, don't stop to ask user, just use existing config
    information, closes: #44918
  * deliver Install.txt instead of Install.ms into the doc directory, 
    closes: #43898

 -- Bdale Garbee <bdale@gag.com>  Sun,  5 Dec 1999 20:46:07 -0700

inn (1.7.2-11) unstable; urgency=high

  * patch to inews.c to fix buffer overrun problem from Martin Schulze

 -- Bdale Garbee <bdale@gag.com>  Mon,  6 Sep 1999 13:35:19 -0600

inn (1.7.2-10) unstable; urgency=low

  * rebuild to depend on perl 5.005, closes 41469, 41925, 41943.
  * update postinst text to eliminate version bogosity, closes 41585.
  * fix sample sendbatch, closes 41596
  * fix source-archive clause in sample newsfeeds file, closes 37862.
  * document nntpport, closes 28588.
  * fix type of inet_addr to reflect current libc.

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Aug 1999 01:22:23 -0600

inn (1.7.2-9) unstable; urgency=low

  * fold in Roman Hodek's changes from his 6.1 NMU, closing 38621.  This
    fixes an ugly i386 dependency in the way inn calls Perl.
  * update perl dependency managment to try and cope with new perl policy

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Jul 1999 17:13:05 -0600

inn (1.7.2-6) unstable; urgency=low

  * new maintainer
  * clean up a few lintian complaints
  * folding in changes from Christian Kurz that he called -5.  We'll call this
    -6 even though his changes were not widely distributed, just to avoid any
    confusion:

      Removed X-Server-Date-Patch as it's not needed.
      default moderation address add to /etc/news/moderators (closes: #24549)
      Inn now depends on perl (closes: #27754, #32313)
      Added gunbatch for gzipped batches (closes: #29899)
      Changed debian/rules so inncheck runs without errors.
      Added Perl-Support to Inn (closes: #26254)
      Changed the examples

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 May 1999 15:18:53 -0600

inn (1.7.2-4) frozen unstable; urgency=medium

  * Fixes:
    #21583: inn: inn must replace inewsinn
    #20763: inn sends me `not running' and `now running' each night
    #21342: inn: install probs
    #21582: inn: incorrect prerm fail-upgrade action
    #21584: inn: postinst doesn't know abort-upgrade
    #20048: inn: poison and REMEMBER_TRASH patch
    #21644: inn: a way to not receive certain groups
  * Wrt bug #20763: the ctlinnd timeout in innwatch has been increased
    to 300 seconds (5 minutes). Hopefully that is enough.. There is no
    good alternative, the fact that INN is slow while renumbering is
    a basic design flaw. (Though the abp-scheduler patch might help)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 22 May 1998 19:52:55 +0200

inn (1.7.2-3) frozen unstable; urgency=medium

  * Move moderators from inewsinn to inn. The server should keep the
    moderators data, not inews.
  * Fix lib/clientactive.c (still yucky, but should work..)
  * Include latest pgpverify script, 1.9, and manpage
  * Fix security hole (/tmp/pgp$$) in pgpverify script
  * Fixes:
    #18579: I can't uninstall INN package
    #19776: inn.prerm buggy typos bah!
    #18724: inn: /etc/init.d/inn contains sed that never terminates
    #19206: inn: Crontab modifications not preserved
    #20423: inn: error in removing
    #20653: inn: Bug in send-uucp.pl, patch included
    #20792: INN: Wrong sfnet maintainer
    #20436: inn: on line 16 of the prerm script there is "fi" instead of "esac"

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 15 Apr 1998 17:34:23 +0200

inn (1.7.2-2) unstable; urgency=low

  * Change over to new crontab -l method
  * Fix (pre|post)(inst|rm) scripts in several ways
  * Fix inewsinn inn.conf installation
  * Set NNRP_DBZINCORE_DELAY to -1
  * Fix lintian warnings
    Fixes:
    #18120: inn: Inn's crontab file should be a conffile

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 19 Feb 1998 22:46:25 +0100

inn (1.7.2-1) unstable; urgency=low

  * New upstream version
  * Fix crontab -l | tail +4
  * Fixes bugs:
    #15889: /etc/news/inn.conf missing
    #16128: manpage uncompressed
    #15103: egrep incorrectly searched in /bin by innshellvars*
    #14404: /usr/doc/$(PACKAGE)/copyright should not be compressed

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Feb 1998 12:52:14 +0100

inn (1.7-1) unstable; urgency=low

  * New upstream version
  * Fixed bugs:
    #9264: Unresolved dependency report for inn
    #9315: inn: /etc/news/innshellvars* add /usr/ucb to the PATH
    #9832: INN 1.5.1-1 throttled rmgroup really shreds active file ?
    #10196: inn: inews complains about missnig subject header when there is one
    #10505: Moderated postings fail 
    #11042: error in /usr/doc/inn/inn-README
    #11057: inn: Confusing/dangerous instructions
    #11453: inn: max signature length
    #11691: libc6
    #11851: inn: Documentation for send-uucp.pl
    #11852: inn: nntpsend looks for wrong config file
    #11900: INN creates `local.*' by default
    #11948: inn: nntpsend does not works
    #12513: inewsinn should insert a linebreak
    #13161: inn-makehistory - Bus error
    #13425: inn: egrep moved to /bin
    #13488: inewsinn: directs user to docs in a package it doesn't require
    #13616: /etc/init.d/inn, /etc/news/hosts.nntp.nolimit are not conffiles
    #13781: Can't feed by send-uucp.pl with ihave/sendme.
    #13831: inn: scanlogs depends on hard coded path for egrep
    #13899: inn: inn uses /usr/bin/egrep, grep doesn't provide that any longer
  * Added BUFFSET fix

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 22 Oct 1997 14:08:37 +0200

inn (1.5.1-5) unstable; urgency=high

  * Fixed sendbatch script (comment in between backtics is illegal)
  * libc6 version

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 10 Sep 1997 16:31:37 +0200

inn (1.5.1-4) stable unstable; urgency=high

  * Add new security patch (with fixed STRCPY): inn-1.5.1-bufferoverflow.patch4
  * Applied null-pointer.patch from Michael Shields
  * Upped SIG_MAXLINES in configdata.h to 8
  * Fix inn-README (perl example). Fixes bug #11042
  * Update inn-README and postinst to fix bug #11057
  * Make ctlinnd addhist work in paused mode, and fail in throttled mode
  * Change ID string

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 21 Aug 1997 12:37:48 +0200

inn (1.5.1-3) stable unstable; urgency=high

  * Add changelogs to docdir
  * innshellvars*: change /usr/ucb -> /usr/sbin (Bug#9315)
  * Changed Recommends: pgp to Suggests: (Bug#9264)
  * Fix inews to fallback on local moderators file (Bug#10505)
  * Fix buffer overruns all over the place

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 24 Jul 1997 18:29:33 +0200

inn (1.5.1-2) frozen unstable; urgency=high

  * Added security-patch.05 (mailx tilde exploit)
  * inewsinn no longer conflicts: inn so installation should no
    longer remove your original inn-1.4 package (and configuration).
    Expect some dpkg trouble when upgrading from 1.4unoff4 to 1.5.1-2 though.
  * Always create .incoming/.outgoing symlinks for backwards compat.
  * Do not change ownerships/modes of existing directories
  * Fix ownerships/modes of rnews, innd, inndstart, in.nnrpd
  * Fix /etc/init.d/inn to comply with console messages standard
  * Fix /usr/lib/news/bin/sendbatch
  * Fix scanlogs not to nuke active file if log/news/OLD isn't there
  * Console messages are a bit more standard now
  * Use start-stop-daemon to kill innwatch in /etc/init.d/inn
  * Fixed up inncheck - it almost doesn't complain anymore

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 28 Apr 1997 13:58:16 +0200

inn (1.5.1-1) unstable; urgency=low

  * Upgraded to 1.5.1
  * Fixed Bug#6387: expire-with-symlinks problem
  * Fixed Bug#6246: inewsinn reconfigures on update
  * Moved /var/spool/news,/var/lib/news back into package
  * Saves removed conffiles in preinst, restores in postinst
  * Set LIKE_PULLERS to DO
  * Remove manpage stubs that are now real manpages
  * Fix options to sendmail in _PATH_SENDMAIL
  * Removed subdirectories from debian/
  * create /var/log/news/OLD in postinst
  * Fixed most if not all other outstanding bugs

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 5 Feb 1997 10:58:16 +0100

inn (1.5-1) unstable; urgency=low

  * Upgraded to 1.5
  * Undid most patches to 1.4unoff4 because they are in 1.5 proper.
  * Added security patch
  * Added X-Server-Date: patch
  * inn now depends on inewsinn
  * Fixed all other outstanding bugs (well, almost).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 17 Dec 1996 16:56:37 +0100

inn (1.4unoff4-2) unstable; urgency=low

  * Added inn-dev package for libinn.a and manpages.
  * Increased hash table size in expire.c to 2048 (was 128)
  * Moved ctlinnd to /usr/sbin
  * Moved to new source packaging scheme

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 06 Oct 1996 15:38:30 +0200

INN (1.4unoff4-1) - Miquel van Smoorenburg <miquels@cistron.nl>

 * Took out the Linux 1.2 patches I put in unoff3.
 * added the 64 bits patch (for Linux/Alpha)
 * There are some other minor patches for Linux/Alpha
 * Added "xmode" as alias for "mode"
 * Using MMAP and setsockopt() now - NEEDS 1.3 kernel !

INN (1.4unoff3-1) - Miquel van Smoorenburg <miquels@cistron.nl>

 * Took inn1.4sec-8 and 1.4unoff3, folded in some Linux and
   other patches.
 * Changed all makefiles to support a "prefix" variable for install
 * Removed the hacks in debian.rules for installation
 * Locks are in /var/run/innd
 * Rewrote post install script.

inn (1.4sec-8); priority=MEDIUM

 * postinst configuration completely redone.  It now sets up a minimal
   local installation for you.
 * prerm now exists and shuts the server down.
 * init scripts changed to System V scheme.
 * Descriptions in control files expanded.
 * Package now contains /var/lock/news, and uses /var/log (not /var/adm).
 * inewsinn postinst looks at and can write /etc/mailname.

INN 1.4sec Debian 7 - iwj

* libinn.a, <inn/*.h>, inn-sys2nf and inn-feedone installed
  (in /usr/lib, /usr/include and /usr/bin).

INN 1.4sec Debian 6 - iwj

* innwatch now started by /etc/rc.misc/news.
* inewsinn postinst minor typos fixed.
* Leftover file `t' removed from source and diff distributions.

INN 1.4sec Debian 5 - iwj

* Added documentation about making active and history files.
* Added monthly makehistory -ru crontab run.
* Made postinst always do  crontab -u news /etc/news/crontab  .
* Removed HAVE_UNIX_DOMAIN - AF_UNIX+SOCK_DGRAM still broken in Linux.
* Fixed /usr/lib/news/bin/inncheck to conform to our permissions scheme.
* Added manpage links for makeactive(8), makehistory(8), newsrequeue(8).
* /var/adm/news now part of package.

INN 1.4sec Debian 4 - iwj

* Added $|=1 to inewsinn postinst script; a few cosmetic fixes.

INN 1.4sec Debian 3 - iwj

* Removed `inet' groups from distrib.pats.
* Put more version number information in ../*.{deb,gz} filenames.
* Added Package_Revision field to `control' file.
* Rationalised debian.rules somewhat, and added `build' stamp file.
* Permissions rationalised.
* Changed /etc/rc.d/rc.news to /etc/rc.misc/news.
* postinst calls Perl as /usr/bin/perl.
* Added this Changelog.

INN 1.4sec Debian 2 - iwj
* inews moved to /usr/bin; rnews moved to /usr/sbin.
* fixed nntpsend not to use PPID variable (it's a bash builtin).

INN 1.4sec Debian 1 - iwj
Initial release, completely untested.
